Summary:	Display various tables of DNS traffic on your network
Summary(pl.UTF-8):	Wyświetlanie różnych zestawień ruchu DNS w sieci
Name:		dnstop
Version:	20110502
Release:	3
License:	BSD-like
Group:		Networking/Utilities
Source0:	http://dns.measurement-factory.com/tools/dnstop/src/%{name}-%{version}.tar.gz
# Source0-md5:	28cb54f3780b27e15df8924235e4e37b
URL:		http://dns.measurement-factory.com/tools/dnstop/
BuildRequires:	libpcap-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dnstop is a libpcap application (ala tcpdump) that displays various
tables of DNS traffic on your network, including tables of source and
destination IP addresses, query types, top level domains and second
level domains.

%description -l pl.UTF-8
dnstop to aplikacja oparta na libpcap (podobnie jak tcpdump)
wyświetlająca zestawienia ruchu DNS w sieci wraz z tabelami źródłowych
i docelowych adresów IP, rodzajów zapytań, domen głównych i drugiego
poziomu.

%prep
%setup -q 

%build
%configure
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcppflags} %{rpmcflags} -I/usr/include/ncurses \
		-DUSE_IPV6=1" \
	LIBS="-lresolv -lnsl -lpcap -lncurses -ltinfo"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install dnstop $RPM_BUILD_ROOT%{_sbindir}
install dnstop.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*
%changelog
* Sat Dec 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dnstop.git;a=log;h=master

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e4abb5
- ncurses rebuild
- release 3 (by relup.sh)

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c3abe10
- release 2

* Wed May 25 2011 zbyniu <zbyniu@pld-linux.org> a8a172a
- up to 20110502

* Fri Mar 18 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f503b90
- rpmcppflags

* Fri Mar 18 2011 zbyniu <zbyniu@pld-linux.org> 707468e
- up to 20110127

* Sat May 22 2010 Tomasz Pala <gotar@pld-linux.org> 0d433ab
- fixed Group

* Sat Apr 03 2010 Elan Ruusamäe <glen@pld-linux.org> 98d5b0a
- release 2

* Sun Nov 08 2009 Adam Gołębiowski <adamg@pld-linux.org> 6f10561
- updated to 20090128

* Mon Aug 04 2008 zbyniu <zbyniu@pld-linux.org> 69e5889
- up to 20080502

* Thu Jun 21 2007 Paweł Gołaszewski <blues@pld-linux.org> 0a4aa57
- 20070510

* Fri May 04 2007 zbyniu <zbyniu@pld-linux.org> 8241e92
- up to 20070307

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c674adf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c5a18d6
- converted to UTF-8

* Mon Jan 22 2007 darekr <darekr@pld-linux.org> 7ddcc6e
- updated to 20070105

* Mon Nov 13 2006 Jakub Bogusz <qboosh@pld-linux.org> bd32dcf
- pl

* Mon Nov 06 2006 Paweł Gołaszewski <blues@pld-linux.org> 5b7295d
- initial, nice dns quick-stats

